<?php

namespace Drupal\tmgmt_smartling\Smartling\Submission;

use Smartling\AuthApi\AuthApiInterface;
use Smartling\TranslationRequests\Params\SearchTranslationRequestParams;
use Smartling\TranslationRequests\TranslationRequestsApi;

/**
 * Class TranslationRequestsApiV3
 * @package Smartling\TranslationRequests
 */
class TranslationRequestsApiV3 extends TranslationRequestsApi
{
    const ENDPOINT_URL = 'https://api.smartling.com/submission-service-api/v3/projects';

    public static function create(AuthApiInterface $authProvider, $projectId, $logger = null)
    {
        $client = static::initializeHttpClient(static::ENDPOINT_URL);

        $instance = new self($projectId, $client, $logger, static::ENDPOINT_URL);
        $instance->setAuth($authProvider);

        return $instance;
    }

    public function searchTranslationRequests($bucketName, SearchTranslationRequestParams $searchParams)
    {
        $requestData = $this->getDefaultRequestData('json', $searchParams->exportToArray());
        $requestUri = vsprintf('buckets/%s/search/translation-requests', [$bucketName]);
        return $this->sendRequest($requestUri, $requestData, static::HTTP_METHOD_POST);
    }
}
